org.eclipse.mat.internal.snapshot

## Class SnapshotArgument

- java.lang.Object
- - org.eclipse.mat.internal.snapshot.SnapshotArgument

All Implemented Interfaces:
  ArgumentFactory

    public class SnapshotArgument
    extends Object
    implements ArgumentFactory

### Constructor Summary

Constructors
Constructor and Description
`SnapshotArgument(String filename)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appendUsage(StringBuilder buf)`
`Object` `build(ArgumentDescriptor descriptor)`
`String` `getFilename()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnapshotArgument

    public SnapshotArgument(String filename)

### Method Detail

#### getFilename

    public String getFilename()

#### appendUsage

    public void appendUsage(StringBuilder buf)

Specified by:
  `appendUsage` in interface `ArgumentFactory`

#### build

    public Object build(ArgumentDescriptor descriptor)
                 throws SnapshotException

Specified by:
  `build` in interface `ArgumentFactory`
Throws:
  `SnapshotException`